slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSGetWhichEigenpairs

Returns which portion of the spectrum is to be sought.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSGetWhichEigenpairs(EPS eps,EPSWhich *which)

Not Collective

### Input Parameter

| eps | - eigensolver context obtained from EPSCreate()

### Output Parameter

| which | - the portion of the spectrum to be sought

### Notes

See EPSSetWhichEigenpairs() for possible values of 'which'.

### See Also

EPSSetWhichEigenpairs(), EPSWhich

### Level

intermediate

### Location

src/eps/interface/epsopts.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages